Anotaciones de conversión de video

Anotaciones hechas para convertir los vídeos grabados en Encuentro OpenData Sevilla para vimeo.

Los vídeos fueron grabados con la cámara de vídeo de Delegación de Alumnos, que los graba en formato .mts.

A continuación, la linea de comando necesaria para convertir los vídeos a un formato y características compatibles con Vimeo:

ffmpeg -i VIDEO.MTS -f mp4 -s 640x360 -aspect 16:9 -ab 320k -ar 44100 -b 2000k VIDEOFINAL.mp4

Requisitos de los vídeos a subir a vimeo:
video:

  • Codec: H.264 [-codecs h264 ## en experimental]
  • frame rate: 24,25,30 FPS [-vframes 24] [Movies PAL 25 25]
  • Date rate: 2000 kbps(SD), 5000 kbps(HD) [-b 2000k]
  • Resolucion: 640×480(SD) ó 1280×720 (HD) 640×480 for 4:3 SD video, 640×360 for 16:9 SD video, and 1280×720 or 1920×1080 for HD. [-s 640×360]

audio:

  • codec: AAC (Advanced Audio Codec) [aac]
  • date rate: 320 kbps [-ab 320k]
  • Sample rate: 44.1 kHz [-ar 44100]

Nota: Asegurate que tienes espacio suficiente en el HD.

bla bla

Enlaces interesantes:

Actualizando a Ubuntu 11.10

Ya he actualizado. Como siempre, he esperado un poco para actualizar. Sobre todo, con tiempo previsto por si algo sale mal, y he aprovechado para hacer copias de seguridad del sistema, sobre todo de mis fotos y proyectos.

El primer problema encontrado, a la hora de actualizar usando el gestor de actualizaciones de Ubuntu:

extracting 'oneiric.tar.gz'
authenticate 'oneiric.tar.gz' against 'oneiric.tar.gz.gpg'
WARNING: Failed to read mirror file

Junto con una bonita ventada que decía:

Could not calculate the upgrade

An unresolvable problem occurred while calculating the upgrade:
E:Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.

This can be caused by:
* Upgrading to a pre-release version of Ubuntu
* Running the current pre-release version of Ubuntu
* Unofficial software packages not provided by Ubuntu

If none of this applies, then please report this bug against the 'update-manager' package and include the files in /var/log/dist-upgrade/ in the bug report.

Tras ver varias soluciones, ninguna funcionó; fue mi amigo Juanje quien me dio la solución: El error está en los repositorios españoles. Así que eso hice, cambié el source.list por repositorios no españoles y actualicé sin problema.

No actualizó bien Gnome 3, pero lo instalé de nuevo, y todo perfecto. En general, todo va mucho mejor en el ordenador.

Y he aprovechado, y he instalado varias extensiones de gnome-shell: gnome-shell-extensions-apps-menu, gnome-shell-extensions-workspace-indicator, gnome-shell-extensions-weather. También google-calendar-gnome-shell (Para que aparezca las anotaciones de Google Calendar al lado del calendario de Gnome).

Algunas más disponibles:

gnome-shell - interfaz gráfica para el escritorio GNOME
libmutter0 - window manager library from the Mutter window manager
gnome-shell-extensions-extended-places-menu - Unofficial GNOME Shell extended places menu
gnome-shell-extensions-gpaste - GPaste extension for GNOME Shell
gpaste - GPaste is a clipboard management suite for GNOME written in Vala
gnome-shell-extensions-mediaplayer - MediaPlayer extension for GNOME Shell
gnome-shell-extensions-apps-menu - Apps menu extension to GNOME Shell
gnome-shell-extensions-workspace-indicator - Workspace Indicator extension to GNOME Shell
gnome-shell-extensions-common - Extensions to extend functionality of GNOME Shell (common files)
gnome-shell-extensions-dock - Dock extension to GNOME Shell
gnome-shell-extensions-auto-move-windows - Auto Move Windows extension to GNOME Shell
gnome-shell-extensions-gajim - Gajim integration extension to GNOME Shell
gnome-shell-extensions-system-monitor - System monitor extension to GNOME Shell
gnome-shell-extensions-alternative-status-menu - Alternative Status Menu extension to GNOME Shell
gnome-shell-extensions-xrandr-indicator - XRandr extension to GNOME Shell
gnome-shell-extensions-windows-navigator - Windows Navigator extension to GNOME Shell
gnome-shell-extensions-native-window-placement - Native window placement integration extension to GNOME Shell
gnome-shell-extensions-user-theme - User Theme extension to GNOME Shell
gnome-shell-extensions-alternate-tab - Alternate Tab extension to GNOME Shell
gnome-shell-extensions-drive-menu - Drive menu extension to GNOME Shell
gnome-shell-extensions-places-menu - Places menu extension to GNOME Shell
gnome-shell-extensions-noa11y - Gnome Shell Extension to remove the Accessibility icon
gnome-shell-system-monitor - Unofficial GNOME Shell System monitor extension
gnome-shell-extensions-pidgin - Pidgin extension for GNOME Shell
gnome-shell-extensions-weather - Weather extension for GNOME Shell

Y tengo una incorporación nueva como reproductor de música: Exaile

DVD en Ubuntu

Pocas veces he visto DVD originales en el portatil… Hoy me he puesto a ver la 1 Temporada de Friends en Inglés. Pero el Ubuntu decía que pasaba.

Por ello, he tenido que instalar “totem-xine libxine1-ffmpeg libdvdread3 ubuntu-restricted-extras” Y para terminar ejecutar el script: /usr/share/doc/libdvdread3/install-css.sh

sudo apt-get install ubuntu-restricted-extras totem-xine libxine1-ffmpeg libdvdread3

sh /usr/share/doc/libdvdread3/install-css.sh

NOTA: DVDs are encrypted with a weak algorithm called Content Scrambling System (CSS)